import request from '@/utils/request'

//商户订单查询 
export function page(data) {
	return request({
		url: '/merc/mini/orders/page',
		method: 'post',
		data: data
	})
}




//订单详情
export function byId(data) {
	return request({
		url: '/order/order-merc-mini/byId',
		method: 'post',
		data: data
	})
}

//退款列表
export function refundList(data) {
	return request({
		url: '/order/order-refund-merc-mini/page',
		method: 'post',
		data: data
	})
}

//订单列表
export function orderPage(data) {
	return request({
		url: '/order/orders/mini/page',
		method: 'post',
		data: data
	})
}

//订单列表-统计 
export function orderPageCount(data) {
	return request({
		url: '/device/merc-mini/device/order/count',
		method: 'post',
		data: data
	})
}

//退款处理
export function hendel(data) {
	return request({
		url: '/order/order-refund-merc-mini/hendel',
		method: 'post',
		data: data
	})
}

//退款情况
export function refundDetail(data) {
	return request({
		url: '/order/order-refund-merc-mini/detail',
		method: 'post',
		data: data
	})
}

//订单日志
export function orderLogs(data) {
	return request({
		url: '/order/activity-info-og/list',
		method: 'post',
		data: data
	})
}

//拉黑
export function setBlacklist(data) {
	return request({
		url: '/merc/mini/member/setBlacklist',
		method: 'post',
		data: data
	})
}

//拉黑解除
export function removeBlackList(data) {
	return request({
		url: '/merc/mini/member/blackListRemove ',
		method: 'post',
		data: data
	})
}

//订单用户信息
export function userInfo(data) {
	return request({
		url: '/merc/mini/member/obj',
		method: 'post',
		data: data
	})
}

//首页角标
export function tipsCount(data) {
	return request({
		url: '/order/order-merc-homepage-mini/tipsCount',
		method: 'post',
		data: data
	})
}

//首页(本月销售)统计
export function countByMonth(data) {
	return request({
		url: '/order/order-merc-sales-count-more/countByMonth',
		method: 'post',
		data: data
	})
}

//首页(今日销售)统计
export function countByDay(data) {
	return request({
		url: '/order/order-merc-sales-count-more/dayCountDetail',
		method: 'post',
		data: data
	})
}

//订单主动退款
export function refundByMerc(data) {
	return request({
		url: '/order/order-refund-merc-mini/refundByMerc',
		method: 'post',
		data: data
	})
}





